## autorun4linuxcd 0.13+nmu1

=== shellrun/Makefile ===
# Generic Makefile for albums.

HERE	= .
TOOLS	= $(HOME)/src/album/src
DATA	= $(HOME)/src/album/data
CAMERA	= /mnt/camera
DCIM	= dcim/101msdcf
DSC	= $(CAMERA)/$(DCIM)
RAW	= $(HERE)/$(DCIM)
OPTS	=
PERL	= perl

IMPORT	= $(shell test -d $(DCIM) && echo "--dcim=$(DCIM)")

default : update

fetch :	mountc _fetch umountc

mountc :
	-mount $(CAMERA)

_fetch :
	rsync -av --modify-window=1 --exclude=dsc00000.jpg \
	    $(DSC)/ $(RAW)/
	find $(RAW) -type f -perm /333 -print -exec chmod 0444 {} \;

umountc :
	-umount $(CAMERA)

update :
	$(PERL) -w $(TOOLS)/album.pl $(OPTS) --verbose --update $(IMPORT) $(HERE)

clobber :
	$(PERL) -w $(TOOLS)/album.pl $(OPTS) --verbose --clobber --update $(IMPORT) $(HERE)

export-web :
	$(PERL) -w $(TOOLS)/album.pl $(OPTS) --verbose --mediumonly --caption=tc $(HERE)
	rm -f web.zip
	zip -r web.zip index*.html icons css medium thumbnails journal

init ::
	mkdir -p $(DCIM)
	ln -s $(TOOLS)/shellrun.exe .
	ln -s $(TOOLS)/autorun.inf .
	test -f Makefile || ln -s $(TOOLS)/generic.mk Makefile
	test -f info.dat || { \
		dir="`basename \`pwd\``"; \
		touch $(DATA)/$$dir.dat; \
		ln -s $(DATA)/$$dir.dat info.dat; \
		echo "!title $$dir" > info.dat; \
	}

init-nolinks ::
	mkdir -p $(DCIM)
	cp $(TOOLS)/shellrun.exe .
	cp $(TOOLS)/autorun.inf .
	test -f Makefile || cp $(TOOLS)/generic.mk Makefile
	test -f info.dat || { \
		dir="`basename \`pwd\``"; \
		echo "!title $$dir" > info.dat; \
	}

clean ::
	rm -f .cache *png index*html large/*html *~
	rm -f shellrun.exe ShellRun.exe autorun.inf
	rm -fr icons css images medium thumbnails .xvpics

realclean :: clean
	rm -f `readlink info.dat` info.dat

## autorun4linuxcd 0.13

=== debian/changelog ===
autorun4linuxcd (0.13) unstable; urgency=low

  * Initial release.

 -- Franklin Piat <fpiat@klabs.be>  Fri,  8 Aug 2008 23:38:00 -0300

=== debian/control ===
Source: autorun4linuxcd
Section: otherosfs
Priority: extra
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Uploaders: Franklin Piat <fpiat@klabs.be>
Build-Depends: debhelper (>= 7), dpatch, mingw32
Standards-Version: 3.8.0
Homepage: http://www.klabs.be/~fpiat/projects/autorun4linuxCD/
Vcs-Browser: http://git.debian.org/git/debian-live/autorun4linuxcd.git
Vcs-Git: git://git.debian.org/git/debian-live/autorun4linuxcd.git

Package: autorun4linuxcd
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Menu for Debian Live under Windows
 This package contains a menu system for Debian Live under Windows. It is only
 useful for live-helper, while building CD images.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpatch/dpatch.make

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f shellrun/shellrun.exe

	dh_clean

build: build-stamp
build-stamp: patch
	dh_testdir

	i586-mingw32msvc-gcc shellrun/shellrun.c -o shellrun/shellrun.exe

	touch build-stamp

install: build

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## autorun4linuxcd 0.13+nmu1

=== debian/changelog ===
autorun4linuxcd (0.13+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update find syntax, thanks to Adam Borowski for the patch (closes:
    #711704).
  * Replace "live-helper" with "live-build" in the package description
    (closes: #625902).
  * Build using mingw-w64 instead of mingw32 (closes: #623400).

 -- Stephen Kitt <skitt@debian.org>  Sun, 09 Mar 2014 14:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
 Uploaders: Franklin Piat <fpiat@klabs.be>
-Build-Depends: debhelper (>= 7), dpatch, mingw32
+Build-Depends: debhelper (>= 7), dpatch, mingw-w64
 Standards-Version: 3.8.0
 Homepage: http://www.klabs.be/~fpiat/projects/autorun4linuxCD/
 Vcs-Browser: http://git.debian.org/git/debian-live/autorun4linuxcd.git
@@ -14,4 +14,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Menu for Debian Live under Windows
  This package contains a menu system for Debian Live under Windows. It is only
- useful for live-helper, while building CD images.
+ useful for live-build, while building CD images.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 build-stamp: patch
 	dh_testdir
 
-	i586-mingw32msvc-gcc shellrun/shellrun.c -o shellrun/shellrun.exe
+	i686-w64-mingw32-gcc shellrun/shellrun.c -o shellrun/shellrun.exe
 
 	touch build-stamp
